﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.Supplier;
@using Portal.Models.Dock;
 
@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:80px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier";
            }).GetHtml() 
        </td>
        <td style="width:108px">
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OIHSupplierOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DailyOrderSPEX", Action = "PartialHeaderSupplierLookupGridOrderInquiry" };
                gridLookup.ReadOnly = true;
                if (Model.GetModel<List<SupplierName>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<SupplierName>>()[0].SUPPLIER_CODE_PLANT;
                }
                    
                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUPPLIER_CODE_PLANT";
                    column.FieldName = "SUPPLIER_CODE_PLANT";
                    column.Caption = "Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUPPLIER_NAME";
                    column.FieldName = "SUPPLIER_NAME";
                    column.Caption = "Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<SupplierName>>()).GetHtml()                        
        </td>
        <td style="width:20px"></td>
        <td style="width:118px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Dock";
            }).GetHtml()                          
        </td>
        <td style="width:108px">
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OIHDockOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "DOCK_CD";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DailyOrderSPEX", Action = "PartialHeaderDockLookupGridOrderInquiry" };
                gridLookup.ReadOnly = true;
                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "PLANT_CD";
                    column.FieldName = "PLANT_CD";
                    column.Caption = "Plant Code";
                    column.Width = Unit.Pixel(50);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "PLANT_NM";
                    column.FieldName = "PLANT_NM";
                    column.Caption = "Plant Name";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "DOCK_CD";
                    column.FieldName = "DOCK_CD";
                    column.Caption = "Dock<br />Code";
                    column.Width = Unit.Pixel(50);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "DOCK_NM";
                    column.FieldName = "DOCK_NM";
                    column.Caption = "Dock Name";
                    column.Width = Unit.Pixel(200);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<DockData>>()).GetHtml()              
        </td>
        <td style="width:20px"></td>
        <td style="width:75px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Manifest No";
            }).GetHtml()                          
        </td>
        <td style="width:108px">
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "OIHManifestNoText";
                textBox.Name = "OIHManifestNoText";
                textBox.Width = Unit.Pixel(110);
            }).GetHtml()           
        </td>
        <td style="width:20px"></td>
        <td style="width:75px"  >
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Status Part";
                label.Name = "lblStatusPart";
            }).GetHtml()
        </td>
        <td style="width:108px">
            @Html.DevExpress().ComboBox(
            cmb => {
                cmb.Name = "cmbStatusPart";
                cmb.Width = System.Web.UI.WebControls.Unit.Pixel(108);
                cmb.Properties.Items.Add("");
                cmb.Properties.Items.Add("Reguler");
                cmb.Properties.Items.Add("Build Out");
                cmb.Properties.DropDownStyle = DropDownStyle.DropDown;
                cmb.Properties.DropDownHeight = 70;
                cmb.Properties.EnableClientSideAPI = true;
            }).BindList(ViewData["StatusPart"]).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Sub. Supplier";
                label.Name = "lblSubSupp";
            }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OIHSubSupplierOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "SUB_SUPPLIER_CODE_PLANT";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DailyOrderSPEX", Action = "PartialHeaderSubSupplierLookupGridOrderInquiry" };
                gridLookup.ReadOnly = true;
                if (Model.GetModel<List<SupplierNameSPEX>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<SupplierNameSPEX>>()[0].SUB_SUPPLIER_CODE_PLANT;
                }

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUB_SUPPLIER_CODE_PLANT";
                    column.FieldName = "SUB_SUPPLIER_CODE_PLANT";
                    column.Caption = "Sub. Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUB_SUPPLIER_NAME";
                    column.FieldName = "SUB_SUPPLIER_NAME";
                    column.Caption = "Sub. Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<SupplierNameSPEX>>()).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Creation Date";
            }).GetHtml()      
        </td>
        <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "OIHOrderReleaseFromDate";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108;
                settings.Date = DateTime.Now.AddDays(-1);
            }).GetHtml()                     
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "To";
            }).GetHtml()                          
        </td>
        <td>
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "OIHOrderReleaseToDate";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108;
                settings.Date = DateTime.Now;
            }).GetHtml()             
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Part Number";
                label.Name = "lblPartNumber";
            }).GetHtml()                          
        </td>
        <td>
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "partNumberText";
                textBox.Name = "partNumberText";
                textBox.Width = Unit.Pixel(110);
            }).GetHtml()       
        </td>
    </tr>
    <tr style="height:15px"></tr>
    <tr>
        <td colspan="1" align="left">
            @Html.DevExpress().Button(
            buttonSettings =>
            {
                buttonSettings.Name = "OIHDownloadButton";
                buttonSettings.Text = "Download";
                buttonSettings.Width = Unit.Pixel(110);
                buttonSettings.ClientSideEvents.Click = "OnOIHDownloadButtonClick";
            }).GetHtml()                     
        </td>
        <td colspan="1" align="left"></td>
        <td colspan="3"></td>
        <td></td>
        <td></td>
        <td></td>
        <td colspan="3" align="right">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "OIHSearchButton";
                            settings.Text = "Search";
                            settings.Width = Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnOIHSearchButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                    <td style="padding-left:2px">
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "OIHClearButton";
                            settings.Text = "Clear";
                            settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnOIHClearButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                </tr>    
            </table>
        </td>
    </tr>
</table>